Package com.google.javascript.jscomp

# Interface FunctionInformationMap.EntryOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FunctionInformationMap.Entry`, `FunctionInformationMap.Entry.Builder`

Enclosing class:
  `FunctionInformationMap`

public static interface FunctionInformationMap.EntryOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getCompiledSource()`
`required string compiled_source = 8;`
`com.google.protobuf.ByteString`
`getCompiledSourceBytes()`
`required string compiled_source = 8;`
`int`
`getId()`
`required int32 id = 2;`
`int`
`getLineNumber()`
`required int32 line_number = 4;`
`String`
`getModuleName()`
`required string module_name = 5;`
`com.google.protobuf.ByteString`
`getModuleNameBytes()`
`required string module_name = 5;`
`String`
`getName()`
`required string name = 7;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`required string name = 7;`
`int`
`getSize()`
`required int32 size = 6;`
`String`
`getSourceName()`
`required string source_name = 3;`
`com.google.protobuf.ByteString`
`getSourceNameBytes()`
`required string source_name = 3;`
`boolean`
`hasCompiledSource()`
`required string compiled_source = 8;`
`boolean`
`hasId()`
`required int32 id = 2;`
`boolean`
`hasLineNumber()`
`required int32 line_number = 4;`
`boolean`
`hasModuleName()`
`required string module_name = 5;`
`boolean`
`hasName()`
`required string name = 7;`
`boolean`
`hasSize()`
`required int32 size = 6;`
`boolean`
`hasSourceName()`
`required string source_name = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasId

boolean hasId()
`required int32 id = 2;`

Returns:
  Whether the id field is set.

### getId

int getId()
`required int32 id = 2;`

Returns:
  The id.

### hasSourceName

boolean hasSourceName()
`required string source_name = 3;`

Returns:
  Whether the sourceName field is set.

### getSourceName

String getSourceName()
`required string source_name = 3;`

Returns:
  The sourceName.

### getSourceNameBytes

com.google.protobuf.ByteString getSourceNameBytes()
`required string source_name = 3;`

Returns:
  The bytes for sourceName.

### hasLineNumber

boolean hasLineNumber()
`required int32 line_number = 4;`

Returns:
  Whether the lineNumber field is set.

### getLineNumber

int getLineNumber()
`required int32 line_number = 4;`

Returns:
  The lineNumber.

### hasModuleName

boolean hasModuleName()
`required string module_name = 5;`

Returns:
  Whether the moduleName field is set.

### getModuleName

String getModuleName()
`required string module_name = 5;`

Returns:
  The moduleName.

### getModuleNameBytes

com.google.protobuf.ByteString getModuleNameBytes()
`required string module_name = 5;`

Returns:
  The bytes for moduleName.

### hasSize

boolean hasSize()
`required int32 size = 6;`

Returns:
  Whether the size field is set.

### getSize

int getSize()
`required int32 size = 6;`

Returns:
  The size.

### hasName

boolean hasName()
`required string name = 7;`

Returns:
  Whether the name field is set.

### getName

String getName()
`required string name = 7;`

Returns:
  The name.

### getNameBytes

com.google.protobuf.ByteString getNameBytes()
`required string name = 7;`

Returns:
  The bytes for name.

### hasCompiledSource

boolean hasCompiledSource()
`required string compiled_source = 8;`

Returns:
  Whether the compiledSource field is set.

### getCompiledSource

String getCompiledSource()
`required string compiled_source = 8;`

Returns:
  The compiledSource.

### getCompiledSourceBytes

com.google.protobuf.ByteString getCompiledSourceBytes()
`required string compiled_source = 8;`

Returns:
  The bytes for compiledSource.